/*!
 * (C) Gasco https://gasco-web-component.herokuapp.com/ - MIT License
 */
import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';
import { c as createColorClasses } from './theme.js';

const gascoListHeaderMdCss = ":host{--border-style:solid;--border-width:0;--inner-border-width:0;-moz-osx-font-smoothing:grayscale;-webkit-font-smoothing:antialiased;margin-left:0;margin-right:0;margin-top:0;margin-bottom:0;padding-left:0;padding-right:0;padding-top:0;padding-bottom:0;display:flex;align-items:center;justify-content:space-between;width:100%;min-height:40px;border-width:var(--border-width);border-style:var(--border-style);border-color:var(--border-color);background:var(--background);color:var(--color);overflow:hidden}:host(.gasco-color){background:var(--gasco-color-base);color:var(--gasco-color-contrast)}.list-header-inner{display:flex;position:relative;flex:1;flex-direction:inherit;align-items:inherit;align-self:stretch;min-height:inherit;border-width:var(--inner-border-width);border-style:var(--border-style);border-color:var(--border-color);overflow:inherit;box-sizing:border-box}::slotted(gasco-label){flex:1 1 auto}:host(.list-header-lines-inset),:host(.list-header-lines-none){--border-width:0}:host(.list-header-lines-full),:host(.list-header-lines-none){--inner-border-width:0}:host{--background:transparent;--color:var(--gasco-text-color, #000);--border-color:var(--gasco-color-light-contrast, #CCCCCC);padding-left:calc(var(--gasco-safe-area-left, 0) + 16px);min-height:45px;font-size:14px;box-shadow:0px 2px 4px rgba(171, 190, 209, 0.6);border-radius:4px}@supports (margin-inline-start: 0) or (-webkit-margin-start: 0){:host{padding-left:unset;-webkit-padding-start:calc(var(--gasco-safe-area-left, 0) + 16px);padding-inline-start:calc(var(--gasco-safe-area-left, 0) + 16px)}}:host(.list-header-lines-full){--border-width:1px 0 0 0}:host(.list-header-lines-inset){--inner-border-width:1px 0 0 0}";

const GascoListHeader$1 = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
  }
  render() {
    const { lines } = this;
    return (h(Host, { class: createColorClasses(this.color, {
        [`list-header-lines-${lines}`]: lines !== undefined,
      }) }, h("div", { class: "list-header-inner" }, h("slot", null))));
  }
  static get style() { return gascoListHeaderMdCss; }
}, [1, "gasco-list-header", {
    "color": [513],
    "lines": [1]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["gasco-list-header"];
  components.forEach(tagName => { switch (tagName) {
    case "gasco-list-header":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, GascoListHeader$1);
      }
      break;
  } });
}

const GascoListHeader = GascoListHeader$1;
const defineCustomElement = defineCustomElement$1;

export { GascoListHeader, defineCustomElement };
